dnl -*- shell-script -*-
dnl
dnl Copyright (c) 2001-2004 The Trustees of Indiana University.  
dnl                         All rights reserved.
dnl Copyright (c) 1998-2001 University of Notre Dame. 
dnl                         All rights reserved.
dnl Copyright (c) 1994-1998 The Ohio State University.  
dnl                         All rights reserved.
dnl 
dnl This file is part of the LAM/MPI software package.  For license
dnl information, see the LICENSE file in the top level directory of the
dnl LAM/MPI source distribution.
dnl
dnl $Id$
dnl

define(LAMTEST_CHECK_OPTIONAL_FORTRAN_TYPES_INT8,[

#
# Do we have integer*8 support
#
AC_MSG_CHECKING([if have Fortran optional types, integer*8])

#
# This configure test is a portable way of finding out if
# MPI_INTEGER8 is supported by the LAM installation
#

#
# Fortran module
#

cat > conftestf.f <<EOF
        program fint8
        include 'mpif.h'
        integer output
        integer bar
        bar = 0
        output = 20
        if (MPI_INTEGER8 .ne. MPI_DATATYPE_NULL) then
           bar = 1
        endif
        OPEN(unit=output, file='conftestval', err=99)
        WRITE(output, '(1i1, $)') bar
        CLOSE(unit=output)
99      continue
        stop 0
        end
EOF

$F77 conftestf.f -o conftest
./conftest 1>&5 2>&1
lam_status=$?
if test "$lam_status" = "0"; then
  unset lam_status
  lam_ac_fortint8=`cat conftestval`
  if test "$lam_ac_fortint8" = "1"; then
    HAVE_MPI_F77_INT8=yes
  else
    HAVE_MPI_F77_INT8=no  
  fi
fi

/bin/rm -f conftest.f conftest.o conftestval
AC_MSG_RESULT([$HAVE_MPI_F77_INT8])])dnl
